from operator import add
from functools import reduce

def taille_moyenne(population):
    tailles = list(map(lambda personne: personne['taille'], gens))
    total_tailles = reduce(add, tailles)
    return total_tailles / len(tailles)

gens = [
{'name': 'Pierre' , 'taille': 178},
{'name': 'Marie' , 'taille': 181},
{'name': 'Paul' , 'taille': 157}
]

print(taille_moyenne(gens)) # affiche "172.0"